﻿<!-- HTML for static distribution bundle build -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>%(DocumentTitle)</title>
    <link rel="stylesheet" type="text/css" href="./swagger-ui.css">
    <link rel="icon" type="image/png" href="./favicon-32x32.png" sizes="32x32" />
    <link rel="icon" type="image/png" href="./favicon-16x16.png" sizes="16x16" />
    <style>
        html {
            box-sizing: border-box;
            overflow: -moz-scrollbars-vertical;
            overflow-y: scroll;
        }

        *,
        *:before,
        *:after {
            box-sizing: inherit;
        }

        body {
            margin: 0;
            background: #fafafa;
        }

        .canineHeader {
            display: flex;
            background: #2a2972;
            padding: 20px 24px;
            margin: 0;
            font-family: Raleway, sans-serif;
            align-content: center;
            position: relative;
        }


        .canineLogo {
            width: 120px;
        }


            .canineLogo svg {
                width: 100%;
                max-width: 100%;
                min-width: 100%;
            }

        .canineTitleContainer {
            display: flex;
            flex-direction: column;
            place-content: center center;
            margin-left: 8px;
        }


        .canineTitle,
        .canineSubtitle {
            margin: 0;
            padding: 0;
            color: white;
        }


        .canineTitle {
            font-size: 30px;
            font-weight: 800;
        }


        .canineSubtitle {
            font-weight: 400;
            font-size: 18px;
            margin-left: 2px;
        }

        .canineWatermark {
            width: 420px;
            opacity: 0.07;
            position: absolute;
            transform: translate(20%, -22%);
        }

    </style>
    %(HeadContent)
</head>

<body>
    <header class='canineHeader'>
        <div class='canineLogo'>
            <svg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 120 120'>
                <defs>
                    <clipPath id='clip-path'>
                        <rect id='Rectangle_5' data-name='Rectangle 5' width='120' height='120' transform='translate(524 303)' fill='#fff' stroke='#707070' stroke-width='1' />
                    </clipPath>
                </defs>
                <g id='Mask_Group_4' data-name='Mask Group 4' transform='translate(-524 -303)' clip-path='url(#clip-path)'>
                    <g id='Canine_alternate_Finished_' data-name='Canine, alternate (Finished)' transform='translate(523.616 302.685)'>
                        <g id='Group_4' data-name='Group 4'>
                            <path id='Logo' d='M60.384.315l-51.961,30v60l51.961,30,51.961-30v-60ZM88.709,31.137a2.233,2.233,0,0,0-2.311-.35c1.581-2.112,1.786-4.366.991-5.088-.846-.77-2.782.5-5.387,2.039.178-.189,4.232-4.369,6.586-3.186.458.229,1.048.76,2,4.579a51.842,51.842,0,0,1,1.188,6.543,7.127,7.127,0,0,1-1.918-.03,7.254,7.254,0,0,1-1.694-.479,3.022,3.022,0,0,0,1.107-1.743A2.443,2.443,0,0,0,88.709,31.137ZM82.6,41.887l1.762,3.256-3.017-1.57A14.12,14.12,0,0,1,82.6,41.887Zm2.424,3.9L82.8,41.672c.269-.294.539-.584.843-.867a16.22,16.22,0,0,1,7.243-3.844q-.391,1.745-.733,3.327h0a16.28,16.28,0,0,1,1.7,3.733c-.485-.471-.967-.951-1.436-1.428s-1.013-1.034-1.508-1.56l-.194.186q.493.52,1,1.04c-.178.843-.347,1.646-.5,2.392a80.676,80.676,0,0,0-1.446,12.536A8.079,8.079,0,0,0,88.9,61.9a6.637,6.637,0,0,0,.948,1.15c-.514.175-1.077.35-1.7.517L86.428,59.8l-1.013,4.358q-.889.151-1.856.242a27.518,27.518,0,0,1-6.333-.127,43.967,43.967,0,0,1,.784-10.4c.719-3.658,1.4-7.092,3.2-10.058Zm5.244-5.578Zm-2.384,23.4-2.136.38.778-3.345ZM53.992,47.985l7.588-7.227a11.2,11.2,0,0,0,5.118-.17l-8.6,7.895a3.456,3.456,0,0,1-2.694.385,3.208,3.208,0,0,1-1.419-.886Zm55.121,40.465-26.69,15.412A72.312,72.312,0,0,1,86.28,81.671,27.83,27.83,0,0,1,98.247,71.25c3.273-6.734,3.262-9.225,2.316-10.036s-2.672.113-4.552.937L91.6,58.919l.321.555a9.325,9.325,0,0,1,.857,1.985A9.157,9.157,0,0,1,93.1,63.1a3.329,3.329,0,0,1-2.2-.342c-2.82-1.638-2.131-7.833-1.543-13.123a56.267,56.267,0,0,1,1.131-6.586c.509.512,1.024,1.021,1.543,1.522l.356.342-.132-.477a16.655,16.655,0,0,0-.808-2.271c-.145-.331-.307-.663-.477-.986.493-1.821,1.013-3.391,1.481-4.668A41.212,41.212,0,0,0,91.3,29.179c-.808-3.195-1.226-4.8-2.316-5.406-2.726-1.506-7.811,2.755-10.036,4.633-6.491,5.436-7.141,9.573-11.973,11.189a12.606,12.606,0,0,1-7.335,0l-5.788,4.633L49.6,48.088A11.714,11.714,0,0,1,46.13,47.7a20.132,20.132,0,0,1-3.472-1.543C40.9,45.389,38.313,44.271,35.708,45a6.688,6.688,0,0,0-2.694,1.546,30.529,30.529,0,0,0-7.72-1.158A31,31,0,0,0,12.929,47.7c4.059,3.941,10.389,10.106,18.529,18.144C36.98,71.3,41.545,75.92,40.347,80.122A6.664,6.664,0,0,1,37.653,83.6L30.7,92.485l-2.9,5.29L11.644,88.453V32.182L60.384,4.04l48.729,28.142ZM93.369,63.059a9.594,9.594,0,0,0-.935-3.192l3.278,2.4-2.319.784ZM44.12,47.913c-1.43-.347-2.963-.671-4.579-.956s-3.1-.5-4.539-.66a9.268,9.268,0,0,1,9.107,1.616Z' fill='#fff' />
                        </g>
                    </g>
                </g>
            </svg>

        </div>
        <div class='canineTitleContainer'>
            <h1 class='canineTitle'>CANINE</h1>
            <h2 class='canineSubtitle'>By Monosoft</h2>
        </div>

        <div class='canineWatermark'>
            <svg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 120 120'>
                <defs>
                    <clipPath id='clip-path'>
                        <rect id='Rectangle_5' data-name='Rectangle 5' width='120' height='120' transform='translate(524 303)' fill='#fff' stroke='#707070' stroke-width='1' />
                    </clipPath>
                </defs>
                <g id='Mask_Group_4' data-name='Mask Group 4' transform='translate(-524 -303)' clip-path='url(#clip-path)'>
                    <g id='Canine_alternate_Finished_' data-name='Canine, alternate (Finished)' transform='translate(523.616 302.685)'>
                        <g id='Group_4' data-name='Group 4'>
                            <path id='Logo' d='M60.384.315l-51.961,30v60l51.961,30,51.961-30v-60ZM88.709,31.137a2.233,2.233,0,0,0-2.311-.35c1.581-2.112,1.786-4.366.991-5.088-.846-.77-2.782.5-5.387,2.039.178-.189,4.232-4.369,6.586-3.186.458.229,1.048.76,2,4.579a51.842,51.842,0,0,1,1.188,6.543,7.127,7.127,0,0,1-1.918-.03,7.254,7.254,0,0,1-1.694-.479,3.022,3.022,0,0,0,1.107-1.743A2.443,2.443,0,0,0,88.709,31.137ZM82.6,41.887l1.762,3.256-3.017-1.57A14.12,14.12,0,0,1,82.6,41.887Zm2.424,3.9L82.8,41.672c.269-.294.539-.584.843-.867a16.22,16.22,0,0,1,7.243-3.844q-.391,1.745-.733,3.327h0a16.28,16.28,0,0,1,1.7,3.733c-.485-.471-.967-.951-1.436-1.428s-1.013-1.034-1.508-1.56l-.194.186q.493.52,1,1.04c-.178.843-.347,1.646-.5,2.392a80.676,80.676,0,0,0-1.446,12.536A8.079,8.079,0,0,0,88.9,61.9a6.637,6.637,0,0,0,.948,1.15c-.514.175-1.077.35-1.7.517L86.428,59.8l-1.013,4.358q-.889.151-1.856.242a27.518,27.518,0,0,1-6.333-.127,43.967,43.967,0,0,1,.784-10.4c.719-3.658,1.4-7.092,3.2-10.058Zm5.244-5.578Zm-2.384,23.4-2.136.38.778-3.345ZM53.992,47.985l7.588-7.227a11.2,11.2,0,0,0,5.118-.17l-8.6,7.895a3.456,3.456,0,0,1-2.694.385,3.208,3.208,0,0,1-1.419-.886Zm55.121,40.465-26.69,15.412A72.312,72.312,0,0,1,86.28,81.671,27.83,27.83,0,0,1,98.247,71.25c3.273-6.734,3.262-9.225,2.316-10.036s-2.672.113-4.552.937L91.6,58.919l.321.555a9.325,9.325,0,0,1,.857,1.985A9.157,9.157,0,0,1,93.1,63.1a3.329,3.329,0,0,1-2.2-.342c-2.82-1.638-2.131-7.833-1.543-13.123a56.267,56.267,0,0,1,1.131-6.586c.509.512,1.024,1.021,1.543,1.522l.356.342-.132-.477a16.655,16.655,0,0,0-.808-2.271c-.145-.331-.307-.663-.477-.986.493-1.821,1.013-3.391,1.481-4.668A41.212,41.212,0,0,0,91.3,29.179c-.808-3.195-1.226-4.8-2.316-5.406-2.726-1.506-7.811,2.755-10.036,4.633-6.491,5.436-7.141,9.573-11.973,11.189a12.606,12.606,0,0,1-7.335,0l-5.788,4.633L49.6,48.088A11.714,11.714,0,0,1,46.13,47.7a20.132,20.132,0,0,1-3.472-1.543C40.9,45.389,38.313,44.271,35.708,45a6.688,6.688,0,0,0-2.694,1.546,30.529,30.529,0,0,0-7.72-1.158A31,31,0,0,0,12.929,47.7c4.059,3.941,10.389,10.106,18.529,18.144C36.98,71.3,41.545,75.92,40.347,80.122A6.664,6.664,0,0,1,37.653,83.6L30.7,92.485l-2.9,5.29L11.644,88.453V32.182L60.384,4.04l48.729,28.142ZM93.369,63.059a9.594,9.594,0,0,0-.935-3.192l3.278,2.4-2.319.784ZM44.12,47.913c-1.43-.347-2.963-.671-4.579-.956s-3.1-.5-4.539-.66a9.268,9.268,0,0,1,9.107,1.616Z' fill='#fff' />
                        </g>
                    </g>
                </g>
            </svg>
        </div>
    </header>
    <div id="swagger-ui"></div>

    <!-- Workaround for https://github.com/swagger-api/swagger-editor/issues/1371 -->
    <script>
        if (window.navigator.userAgent.indexOf("Edge") > -1) {
            console.log("Removing native Edge fetch in favor of swagger-ui's polyfill")
            window.fetch = undefined;
        }
    </script>

    <script src="./swagger-ui-bundle.js"></script>
    <script src="./swagger-ui-standalone-preset.js"></script>
    <script>
        window.onload = function () {
            var configObject = JSON.parse('%(ConfigObject)');
            var oauthConfigObject = JSON.parse('%(OAuthConfigObject)');

            // Workaround for https://github.com/swagger-api/swagger-ui/issues/5945
            configObject.urls.forEach(function (item) {
                if (item.url.startsWith("http") || item.url.startsWith("/")) return;
                item.url = window.location.href.replace("index.html", item.url).split('#')[0];
            });

            // If validatorUrl is not explicitly provided, disable the feature by setting to null
            if (!configObject.hasOwnProperty("validatorUrl"))
                configObject.validatorUrl = null

            // If oauth2RedirectUrl isn't specified, use the built-in default
            if (!configObject.hasOwnProperty("oauth2RedirectUrl"))
                configObject.oauth2RedirectUrl = window.location.href.replace("index.html", "oauth2-redirect.html").split('#')[0];

            // Apply mandatory parameters
            configObject.dom_id = "#swagger-ui";
            configObject.presets = [SwaggerUIBundle.presets.apis, SwaggerUIStandalonePreset];
            configObject.layout = "StandaloneLayout";

            // Begin Swagger UI call region

            const ui = SwaggerUIBundle(configObject);

            ui.initOAuth(oauthConfigObject);

            // End Swagger UI call region

            window.ui = ui
        }
    </script>
</body>
</html>